astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Polynomial2D

# Polynomial2D

class `astropy.modeling.polynomial.``Polynomial2D`(degree, x_domain=[-1, 1], y_domain=[-1, 1], x_window=[-1, 1], y_window=[-1, 1], param_dim=1, **params)

  Bases: `astropy.modeling.polynomial.PolynomialModel`

  2D Polynomial model.

  Represents a general polynomial of degree n:

  P(x,y) = c_{0_0} + c_{1_0}*x + ...+ c_{n_0}*x^n + c_{0_1}*y + ...+ c_{0_n}*y^n + c_{1_1}*x*y + c_{1_2}*x*y^2 + ... + c_{1_(n-1)}*x*y^{n-1}+ ... + c_{(n-1)_1}*x^{n-1}*y

  Parameters:

  degree : int

  > highest power of the polynomial, the number of terms is degree+1

  x_domain : list or None

  > domain of the x independent variable

  y_domain : list or None

  > domain of the y independent variable

  x_window : list or None

  > range of the x independent variable

  y_window : list or None

  > range of the y independent variable

  param_dim : int

  > number of parameter sets

  **params : dict

  > keyword: value pairs, representing parameter_name: value

  fixed: a dict :

  > a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied: dict :

  > a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds: dict :

  > a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons: list :

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Methods Summary

  `deriv`(x, y, *params) | Computes the Vandermonde matrix.
  `invlex_coeff`() |
  `mhorner`(x, y, coeff) | Multivariate Horner’s scheme

  Methods Documentation

  `deriv`(x, y, *params)

    Computes the Vandermonde matrix.

    Parameters:

    x : ndarray

    > input

    y : ndarray

    > input

    params : throw away parameter

    > parameter list returned by non-linear fitters

    Returns:

    result : ndarray

    > The Vandermonde matrix

  `invlex_coeff`()
  `mhorner`(x, y, coeff)

    Multivariate Horner’s scheme

    Parameters: | x, y : array coeff : array of coefficients in inverse lexical order